package de.dhbw.compiler.xparser;

import de.dhbw.compiler.xparser.api.Parser;

/**
 * <h1>ASTParser</h1>
 * <p>Parses programming language X into abstract syntax trees.</p>
 */
public class ASTParser extends Parser {
    public ASTParser(TokenReader in) {
        super(in);
    }

    @Override
    public Tree parseProgram() {
        return null;
    }
}
